program DISP4I36;
uses dos,CRT;

{$I 4I36LOW}
{$I hprint}
{$I hexread}

procedure BarfOut(s:string);
begin
  writeln;
  writeln(chr(7),s);
  writeln;
  halt(2);
end;

procedure Usage;
begin
  writeln;
  writeln('Usage: 4I36DISP PPP');
  writeln;
  writeln('Where PPP is the hexadecimal 4I30 base address');
  writeln;
  writeln('Function: Testing 4I36 card');
  halt(2);
end;

procedure GetParms;
begin
  If ParamCount < 1 then Usage;
  if not HexWordRead(ParamStr(1),I36BasePort)  then BarfOut('Undecipherable 4I30 address ');
  if I36BasePort < $100  then BarfOut('Out of range 4I30 address ');
  if I36BasePort > $3F8  then BarfOut('Out of range 4I30 address ');
end;

procedure ShowAll;
var
cnum : byte;
count : longint;
begin
  for cnum := 0 to 7 do
  begin
      count := ReadCounter(cnum);
      GoToXY(1,(cnum * 2)+3);
      write(cnum:1,'      ',count:10,'        ');
  end;
end;


begin
  GetParms;
  Init4I36;
  Delay(100);
  ClrScr;
  writeln('Counter     Count     ');
  while not keypressed do
  begin
    ShowAll;
    Delay(100);
  end;
end.